%define upstream_name    Catalyst-Manual
%define upstream_version 5.9013

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Catalyst Manual - The Catalyst developer's manual
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
The Catalyst developer's manual:
        perldoc Catalyst::Manual::Intro
        perldoc Catalyst::Manual::Tutorial

SEE ALSO
    Install Task::Catalyst::Tutorial to install all the dependencies you need
    to follow along with the Tutorial. You can also refer to
    Catalyst::Manual::Tutorial::Intro for more information on installation
    options.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 5.901.300-2.mga10
+ Revision: 2234922
- Mageia 10 Mass Rebuild

* Mon Jan 27 2025 daviddavid <daviddavid> 5.901.300-1.mga10
+ Revision: 2142771
- new version: 5.9013

* Mon Aug 15 2022 neoclust <neoclust> 5.901.100-1.mga9
+ Revision: 1877683
- New version 5.9011

* Mon Mar 21 2022 umeabot <umeabot> 5.901.0-3.mga9
+ Revision: 1811805
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 5.901.0-2.mga8
+ Revision: 1528653
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Aug 25 2019 tv <tv> 5.901.0-1.mga8
+ Revision: 1432090
- update to 5.9010

* Wed Sep 19 2018 umeabot <umeabot> 5.900.900-3.mga7
+ Revision: 1265948
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 5.900.900-2.mga6
+ Revision: 1023217
- Rebuild for perl 5.22.2

* Sun Dec 28 2014 buchan <buchan> 5.900.900-1.mga6
+ Revision: 806867
- imported package perl-Catalyst-Manual


* Fri Dec 26 2014 Buchan Milne <buchan> 5.9009-1mga
- initial mageia release, generated with cpan2dist
